using System;
using System.Data;
using System.Data.SqlClient;

namespace AcmeDirectory
{
	/// <summary>
	/// Provides Common data access support for the application.
	/// </summary>
	public class cDataAccess
	{
      private  SqlConnection EmployeeCN;

      // create the connection during initialization
		public cDataAccess()
		{
         EmployeeCN = new SqlConnection();
         EmployeeCN.ConnectionString = "data source=IVREL;initial catalog=Employee;persist security info=False;user id=sa" +
            ";workstation id=IVREL;packet size=4096";
      }
      /// <summary>
      /// Open the database connection
      /// </summary>
      public void Open()
      {
         EmployeeCN.Open();
      }
      /// <summary>
      /// Close the database connection
      /// </summary>
      public void Close()
      {
         EmployeeCN.Close();
      }

      /// <summary>
      /// Execute a Query and return the result in a DataAdapter
      /// </summary>
      public SqlDataAdapter ExecuteQuery( string Query )
      {
         // Initalize a DataAdapter and set the query
         SqlDataAdapter EmployeeDA = new SqlDataAdapter(Query, EmployeeCN);

         // return the DataAdapter
         return EmployeeDA;
      }

      /// <summary>
      /// Execute a stored procedure and return the result in a DataAdapter
      /// </summary>
      public SqlDataAdapter ExecuteProc( string Procedure, params object[] Params )
      {
         // Initalize a DataAdapter and set it as a stored procedure
         SqlDataAdapter EmployeeDA = new SqlDataAdapter();
         EmployeeDA.SelectCommand = new SqlCommand(Procedure, EmployeeCN);
         EmployeeDA.SelectCommand.CommandType = CommandType.StoredProcedure;

         // now add any parameters that were passed in
         for( int nIdx = 0; nIdx < Params.Length; nIdx+=2 )
         {
            SqlParameter SqlParam = new SqlParameter();
            SqlParam.ParameterName = Params[nIdx].ToString();
            SqlParam.Value = Params[nIdx+1];
            EmployeeDA.SelectCommand.Parameters.Add( SqlParam );
         }
         // return the DataAdapter
         return EmployeeDA;
      }

	}
}
