using System;
using System.Data;
using System.Data.SqlClient;

namespace AcmeDirectory
{

	/// <summary>
	/// Provides Data Access layer for Employee data
	/// </summary>
	public class dcEmployee
	{
      // default constructor
      public dcEmployee()
      {
      }

      // get a list of employees
      public void List( DataSet DestDS )
      {
         if( DestDS != null )
         {
            // instantiate the Data Access component and open a connection
            cDataAccess oData = new cDataAccess();
            oData.Open();
            
            // invoke the query
            string sQuery = "SELECT EmployeeID, FirstName, LastName, MiddleInitial FROM Employee";
            SqlDataAdapter ListDA = oData.ExecuteQuery( sQuery );
            ListDA.Fill( DestDS, "Employee" );

            // close the connection
            oData.Close();
         }
      }

      // Get employee detail information
      public void Retrieve( DataSet DestDS, int EmployeeID )
      {
         if( DestDS != null )
         {
            // instantiate the Data Access component and open a connection
            cDataAccess oData = new cDataAccess();
            oData.Open();
            
            // invoke the query
            SqlDataAdapter EmployeeDA = oData.ExecuteProc( "uspEmployee", 
                                                           "@EmployeeID", EmployeeID );
            EmployeeDA.Fill( DestDS, "Employee" );

            // close the connection
            oData.Close();
         }
      }
	}
}
