using System;

namespace AcmeControls
{
	/// <summary>
	/// Summary description for Phone.
	/// </summary>
	public class Phone
	{
		public Phone()
		{
			//
			// TODO: Add constructor logic here
			//
		}

      // private attributes
      private string mText;

      //******************************************************************************
      //  PROPERTIES
      //******************************************************************************
      //******************************************************************************
      // Property:    Text
      //
      // Description: Stores phone numbers as formatted data if valid.
      //
      //******************************************************************************
      public string Text
      {
         get
         {
            return mText;
         }
         set
         {
            mText = Format( value );
         }
      }

      //******************************************************************************
      //  STATIC FUNCTIONS
      //******************************************************************************
      //******************************************************************************
      // Method:      Format
      //
      // Description: Adds formatting to the phone number for display 
      //
      //******************************************************************************
      static public string Format( string text )
      {
         if( text == null ) return "";
         
         string phone = Trim(text);
         if( phone.Length == 7 )
         {
            phone = phone.Substring(0, 3) + "-" + phone.Substring(3);
         }
         else if ( phone.Length == 10 )
         {
            phone = "(" + phone.Substring(0, 3) + ") " + phone.Substring(3, 3) + 
                    "-" + phone.Substring(6);

         }
         return phone;
      }

      //******************************************************************************
      // Method:      Trim
      //
      // Description: Helper used to strip off all formatting characters 
      //
      //******************************************************************************
      static public string Trim( string text )
      {
         if( text == null ) return "";
         
         System.Text.StringBuilder buff = new System.Text.StringBuilder();
         foreach( char c in text )
         {
            if( Char.IsDigit( c ) == true )
            {
               buff.Append( c );
            }
         }
         // return the trimmed phone
         return buff.ToString();
      }

      //******************************************************************************
      // Method:      IsValid
      //
      // Description: Helper used to see if the phone number is valid.
      //
      //******************************************************************************
      static public bool IsValid( string text )
      {
         string tmpText = Trim(text);
         if( text.Length > 0 && tmpText.Length != 10 )
            return false;
         else
            return true;
      }

   }
}
