using System;
using System.Data;
using System.Data.SqlClient;
using System.Xml;

namespace AcmeDirectory
{
	/// <summary>
	/// Data Access class used to manage Employee Details as a single set.
	/// </summary>
	public class dcEmpDetail
	{
      // default constructor
      public dcEmpDetail()
      {
      }

      // Get employee detail information
      public void Retrieve( DataSet DestDS, int EmployeeID )
      {
         if( DestDS != null )
         {
            // instantiate the Data Access component and open a connection
            DataManager oData = new DataManager();
            oData.Open();
            
            // invoke the query
            SqlDataAdapter EmployeeDA = oData.NewProcDA( "uspEmployeeDetailXML", 
                                                         "@EmployeeID", EmployeeID );
            
            DataSet TempDS = new DataSet();
            EmployeeDA.Fill( TempDS );

            // Load the results into an XML Document and extract the
            // EmployeeDetailDS element
            XmlDocument xmlDoc = new System.Xml.XmlDocument();
            xmlDoc.LoadXml(System.Web.HttpUtility.HtmlDecode(TempDS.GetXml()));
            XmlNode xmlChild = xmlDoc.SelectSingleNode("//EmployeeDetailDS");

            if( xmlChild != null )
            {
               // Load the node into a Reader and then load the DataSet
               // Using the InferSchema Read Mode
               XmlNodeReader xmlData = new XmlNodeReader(xmlChild);
               DestDS.ReadXml( xmlData, XmlReadMode.InferSchema );

               // We need to reset the namespace and accept changes
               DestDS.Namespace = "http://www.AcmeConsulting.com/EmployeesDS.xsd";
               DestDS.AcceptChanges();
            }
            // close the connection
            oData.Close();
         }
      }
   }
}
