using System;
using System.Data;
using System.Data.SqlClient;
using System.Xml;

namespace AcmeEmployee
{
	/// <summary>
	/// Summary description for dcEmployee.
	/// </summary>
	public class dcEmployee
	{
		public dcEmployee()
		{
			//
			// TODO: Add constructor logic here
			//
		}
      // get a list of employees
      public void List( DataSet destDS )
      {
         if( destDS != null )
         {
            // instantiate the Data Manager component and open a connection
            DataManager dataMgr = new DataManager(); 
            dataMgr.Open();
            
            // Initialize a data adapter
            string sQuery = "SELECT EmployeeID, FirstName, LastName, MiddleInitial FROM Employee";
            SqlDataAdapter listDA = dataMgr.NewQueryDA( sQuery );
            listDA.Fill( destDS, "Employee" );

            // close the connection
            dataMgr.Close();
         }
      }
      // Get employee detail information
      public void Retrieve( DataSet destDS, int employeeID )
      {
         if( destDS != null )
         {
            // instantiate the Data Manager component and open a connection
            DataManager dataMgr = new DataManager(); 
            dataMgr.Open();
            
            // Initialize a stored proc data adaptor
            SqlDataAdapter employeeDA = dataMgr.NewProcDA( "uspEmployeeDetail", 
                                                           "@EmployeeID", employeeID );
            // set the table names
            employeeDA.TableMappings.Add( "Table", "Employee" );
            employeeDA.TableMappings.Add( "Table1", "Manager" );
            employeeDA.TableMappings.Add( "Table2", "Project" );

            // invoke the query.
            employeeDA.Fill( destDS, "Table" );

            // close the connection
            dataMgr.Close();
         }

      }
      // Update the data in the database
      public void Update( EmployeeDetailDS empDS )
      {
         // instantiate the DataManager and get the data
         // from the DataSet as XML
         DataManager dataMgr = new DataManager(); 
         string xml = dataMgr.GetXML( empDS );

         // Open a connection and initialize a stored proc data adaptor
         dataMgr.Open();
         SqlDataAdapter employeeDA = dataMgr.NewProcDA( "uspEmployeeUpdate", 
                                                        "@data", xml );
         // execute the query and close the connection
         dataMgr.ExecuteCommand( employeeDA );
         dataMgr.Close();
      }
   }
}
