using System;
using ADODB26;
namespace CompanyInfo
{
	/// <summary>
	///    Data access class for Employee information that uses
	///    the ADODB26 recordset.
	/// </summary>
	public class EmployeeList
	{
		private bool                m_bOpen = false;
		private ADODB26.Recordset   m_rsData = null;
		private string              m_strConnect = "";
		private string              m_strError = "";

		/// <summary>
		/// Constructor: Initialize the member variables   
		/// </summary>
		public EmployeeList()
		{
			// Initialize the variables ... disable connection pooling
			m_rsData = new ADODB26.Recordset();
			m_strConnect = "Provider=SQLOLEDB.1;" +
				"Initial Catalog=Employee;" +
				"Password='';User ID='sa';" +
				"Data Source=IVREL;" +
				"Workstation ID=IVREL;";
		}

		/// <summary>
		/// Open a recordset with the Employee List
		/// </summary>
		public bool Open()
		{
			try
			{
				// build the query string
				string strQuery = "SELECT EmployeeID, LastName, FirstName, OfficePhone, CellPhone, Beeper FROM Employee";

				// instantiate a recordset and execute the command
				m_rsData.CursorLocation = ADODB26.CursorLocationEnum.adUseClient;
				m_rsData.Open( strQuery, m_strConnect, ADODB26.CursorTypeEnum.adOpenStatic, ADODB26.LockTypeEnum.adLockBatchOptimistic, 0 );
                
				// disconnect the recordset
				m_rsData.ActiveConnection = null;
				m_bOpen = true;
			}
			catch (Exception ex)
			{
				m_strError = ex.Message + "\n" + ex.StackTrace;
			}
			return m_bOpen;
		}

		/// <summary>
		/// Accessor used to return the recordset
		/// </summary>
		public ADODB26.Recordset getRecordset()
		{
			return m_rsData;
		}

		/// <summary>
		/// Accessor used to return the recordset as XML
		/// </summary>
		public String toXML()
		{
			if( m_bOpen == true )
			{
            System.Xml.XmlElement xmlElement = null;
            System.Xml.XmlElement xmlChild = null;
            System.Xml.XmlText xmlText = null;
            System.Xml.XmlDocument xmlDoc = new System.Xml.XmlDocument();
				xmlDoc.LoadXml("<?xml version='1.0'?><Employees/>");

				m_rsData.MoveFirst();
				while( m_rsData.EOF == false )
				{
					// Create and add an Employee Element
					xmlElement = xmlDoc.CreateElement("Employee");
					xmlDoc.DocumentElement.AppendChild( xmlElement );

					// Insert the ID as an Attribute
					xmlElement.SetAttribute( "EmployeeID", m_rsData.Fields[0].Value.ToString() );

					// now add the values...
					for( int nIdx = 1; nIdx < m_rsData.Fields.Count; nIdx++ )
					{
						xmlChild = xmlDoc.CreateElement( m_rsData.Fields[nIdx].Name.ToString());
                  xmlText = xmlDoc.CreateTextNode(m_rsData.Fields[nIdx].Value.ToString());
						xmlChild.AppendChild( xmlText );
						xmlElement.AppendChild( xmlChild );
					}
					m_rsData.MoveNext();
				}
				return xmlDoc.InnerXml;
			}
			return "EmployeeList has not been opened";
		}
	}
}
