@ECHO OFF
REM *********************************************************************************
REM *                                                                               *
REM * Will by default use a local database named Employee using integrated security *
REM *                                                                               *
REM * Usage:                                                                        *
REM *   CreateSQL2000DB.Bat [Server] [Database] [User] [Password]                   *
REM *                                                                               *
REM * Parameters:                                                                   *
REM *    %1 = Database Server - Defaults to (Local)                                 *
REM *    %2 = Database Name   - Defaults to Employee                                *
REM *    %3 = SQL Login       - Defaults to sa     				    *
REM *    %4 = SQL Password    - Defaults to no password                             *
REM *                                                                               *
REM *********************************************************************************
SETLOCAL

SET DBS=(Local)
SET DBD=Employee
SET DBU=sa
SET DBP=
SET LISTFILE=
SET SQLDIR=

IF .%1==. Goto StartBuild
Set DBS=%1
IF .%2==. Goto StartBuild
Set DBD=%2
IF .%3==. Goto StartBuild
Set DBU=%3
IF .%4==. Goto StartBuild
Set DBP=%3


:StartBuild
REM ******************************
REM *  Database Schema	         *
REM ******************************
osql -S %DBS% -U %DBU% -P %DBP% -i "Schema\Schema.sql"

REM ******************************
REM *  Sample Data
REM ******************************
osql -S %DBS% -d %DBD% -U %DBU% -P %DBP% -i "Schema\Sample Data.sql"

REM ******************************
REM *  Stored Procedures
REM ******************************
SET LISTFILE=StoredProcs\AllProcs.txt
REM Get drive and path (no filename) from full path to LISTFILE
FOR /F "tokens=1 delims=" %%f in ('DIR %LISTFILE% /S /B') DO SET SQLDIR=%%~dpf

REM Parse LISTFILE, executing osql for each line, prepending SQLDIR to each file name
FOR /F "eol=; tokens=1 delims=" %%f in ('TYPE %LISTFILE%') DO osql -S %DBS% -d %DBD% -U %DBU% -P %DBP% -i "%SQLDIR%%%f"

ENDLOCAL