<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
                xmlns:xsi='http://www.w3.org/1999/XMLSchema-instance' 
                xmlns:SOAP-ENV="http://schemas.xmlsoap.org/soap/envelope/"
                xmlns:SOAP-ENC="http://schemas.xmlsoap.org/soap/encoding/"
                version="1.0"> 

<xsl:output omit-xml-declaration="yes"/>

<!--Match on the root and insert the SOAP envelop and body tags.-->
<xsl:template match="/">
  <SOAP-ENV:Envelope SOAP-ENV:encodingStyle='http://schemas.xmlsoap.org/soap/encoding/' >
    <SOAP-ENV:Body>
      <!--Insert the data-->
      <xsl:apply-templates select='//EmployeeDetails' />
    </SOAP-ENV:Body>
  </SOAP-ENV:Envelope>
</xsl:template>

<!-- Employee Details XSL Template -->
<xsl:template match='EmployeeDetails'>
  <!--Main element as defined by the schema-->
  <xsl:element name='rda:GetDetailsResponse' xmlns:rda='urn:rdacustomsoftware-com:Employee' >
    <xsl:attribute name='xsi:schemaLocation'>urn:rdacustomsoftware-com:Employee
                                             http://localhost/Chapter7Web/Employee.xsd</xsl:attribute>
    <!--Employee Data-->
    <xsl:element name='Employee' > 
      <xsl:element name='EmployeeID'><xsl:value-of select='@EmployeeID' /></xsl:element>
      <xsl:element name='LastName'><xsl:value-of select='@LastName' /></xsl:element>
      <xsl:element name='FirstName'><xsl:value-of select='@FirstName' /></xsl:element>
      <xsl:element name='MiddleInitial'><xsl:value-of select='@MiddleInitial' /></xsl:element>
      <xsl:element name='OfficePhone'><xsl:value-of select='@OfficePhone' /></xsl:element>
      <xsl:element name='CellPhone'><xsl:value-of select='@CellPhone' /></xsl:element>
      <xsl:element name='Beeper'><xsl:value-of select='@Beeper' /></xsl:element>
    </xsl:element>

    <!--Managar Data-->
    <xsl:element name='Manager'>
      <xsl:element name='LastName'><xsl:value-of select='Manager/@LastName' /></xsl:element>
      <xsl:element name='FirstName'><xsl:value-of select='Manager/@FirstName' /></xsl:element>
      <xsl:element name='Title'><xsl:value-of select='Manager/@Title' /></xsl:element>
    </xsl:element>

    <!--Array of projects-->
    <xsl:element name='Projects' >
      <xsl:attribute name='SOAP-ENC:arrayType'>rda:Project[<xsl:value-of select='count(Project)'/>]</xsl:attribute>
      <xsl:apply-templates select='Project' />
    </xsl:element>
  </xsl:element>
</xsl:template>

<!--Project XSL template-->
<xsl:template match='Project'>
  <!--Project Data-->
  <xsl:element name='Project'>
    <xsl:element name='ProjectID'><xsl:value-of select='@ProjectID' /></xsl:element>
    <xsl:element name='Name'><xsl:value-of select='@Name' /></xsl:element>
  </xsl:element>
</xsl:template>

</xsl:stylesheet>
