using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Xml;
using System.Xml.Xsl;
using System.Xml.XPath;

namespace EmployeeNet
{
	/// <summary>
	/// Summary description for EmployeesByProject.
	/// </summary>
	public class EmployeesByProject : System.Web.UI.Page
	{
		protected System.Web.UI.WebControls.DropDownList m_drpChooseProject;
		protected System.Web.UI.WebControls.Label m_lblChooseProject;
		protected System.Web.UI.WebControls.PlaceHolder m_placeHolder;
		protected System.Web.UI.HtmlControls.HtmlForm m_form;
		protected System.Web.UI.HtmlControls.HtmlForm Form1;
		protected System.Data.SqlClient.SqlConnection m_sqlConnection;
		protected System.Data.SqlClient.SqlDataAdapter m_sqlDAGetProjectList;
		protected System.Data.SqlClient.SqlCommand m_sqlCmdGetProjectList;
		protected System.Data.SqlClient.SqlDataAdapter m_sqlDAGetEmployeesByProject;
		protected System.Data.SqlClient.SqlCommand m_sqlCmdGetEmployeesByProject;
		protected EmployeeNet.EmployeesByProject m_employeesByProject;
		protected System.Web.UI.HtmlControls.HtmlForm WebForm1;
		protected EmployeeNet.EmployeesDataSet m_employeesDataSet;
		protected EmployeeNet.ProjectListDataSet m_projectListDataSet;
	
		private void Page_Load(object sender, System.EventArgs e)
		{
			if (! this.IsPostBack)
			{
				try
				{
					m_sqlDAGetProjectList.Fill(m_projectListDataSet.ProjectList);
					m_drpChooseProject.DataBind();
					renderPage();
				}
				catch (Exception ex)
				{
					System.Diagnostics.Debug.WriteLine(ex.ToString());
				}
			}
		}

		/// <summary>
		/// Renders the page using the XML from m_projectListDataSet and an XSLT stylesheet
		/// </summary>
		private void renderPage()
		{
			try
			{
				// create an XML Document object
				XmlDocument xmlDoc = new XmlDocument();
				// load it with the XML from the DataSet
				xmlDoc.LoadXml(m_employeesDataSet.GetXml());
				// create an XSL Transform object
				XslTransform xslDoc = new XslTransform();
				// and an XPath Document object to navigate the XML Document
				XPathDocument xPath = new XPathDocument(new XmlNodeReader(xmlDoc.DocumentElement));
				// load the XSLT Stylesheet
				xslDoc.Load(this.Server.MapPath("EmployeesByProject.xsl"));
				// transform the XML using the Stylesheet and
				// place the output in an XML Reader object
				XmlReader reader = xslDoc.Transform(xPath, null);
				// re-use the XML Document, and load it with the XML Reader
				xmlDoc.Load(reader);
				// and now place the transformed XML (now HTML)
				// into the output of the Web Page
				m_placeHolder.Controls.Add(new LiteralControl(xmlDoc.OuterXml));
			}
			catch (Exception ex)
			{
				System.Diagnostics.Debug.WriteLine(ex.ToString());
			}
		}

		/// <summary>
		/// This routine handles the event generated when the user clicks on the ASP.Net
		/// drop down control and changes the selection.
		/// </summary>
		/// <param name="sender"></param>
		/// <param name="e"></param>
		private void displayNewProject(object sender, System.EventArgs e)
		{
			try
			{
				// obtain the new project ID from the ASP.Net drop down control
				string strProjectID = m_drpChooseProject.Items[m_drpChooseProject.SelectedIndex].Value;
				// now get the new project list based off of this new project ID
				m_sqlDAGetEmployeesByProject.SelectCommand.Parameters["@ProjectID"].Value = strProjectID;
				m_sqlDAGetEmployeesByProject.Fill(m_employeesDataSet.Employees);
				renderPage();
			}
			catch (Exception ex)
			{
				System.Diagnostics.Debug.WriteLine(ex.ToString());
			}
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.m_sqlConnection = new System.Data.SqlClient.SqlConnection();
			this.m_sqlDAGetProjectList = new System.Data.SqlClient.SqlDataAdapter();
			this.m_sqlCmdGetProjectList = new System.Data.SqlClient.SqlCommand();
			this.m_projectListDataSet = new EmployeeNet.ProjectListDataSet();
			this.m_sqlDAGetEmployeesByProject = new System.Data.SqlClient.SqlDataAdapter();
			this.m_sqlCmdGetEmployeesByProject = new System.Data.SqlClient.SqlCommand();
			this.m_employeesDataSet = new EmployeeNet.EmployeesDataSet();
			((System.ComponentModel.ISupportInitialize)(this.m_projectListDataSet)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this.m_employeesDataSet)).BeginInit();
			this.m_drpChooseProject.SelectedIndexChanged += new System.EventHandler(this.displayNewProject);
			// 
			// m_sqlConnection
			// 
			this.m_sqlConnection.ConnectionString = "data source=localhost;initial catalog=Employee;persist security info=False;user i" +
				"d=sa;workstation id=THOR;packet size=4096";
			// 
			// m_sqlDAGetProjectList
			// 
			this.m_sqlDAGetProjectList.SelectCommand = this.m_sqlCmdGetProjectList;
			this.m_sqlDAGetProjectList.TableMappings.AddRange(new System.Data.Common.DataTableMapping[] {
																											new System.Data.Common.DataTableMapping("Table", "ProjectList", new System.Data.Common.DataColumnMapping[] {
																																																						   new System.Data.Common.DataColumnMapping("ProjectID", "ProjectID"),
																																																						   new System.Data.Common.DataColumnMapping("Name", "Name")})});
			// 
			// m_sqlCmdGetProjectList
			// 
			this.m_sqlCmdGetProjectList.CommandText = "[sp_getProjectList]";
			this.m_sqlCmdGetProjectList.CommandType = System.Data.CommandType.StoredProcedure;
			this.m_sqlCmdGetProjectList.Connection = this.m_sqlConnection;
			this.m_sqlCmdGetProjectList.Parameters.Add(new System.Data.SqlClient.SqlParameter("@RETURN_VALUE", System.Data.SqlDbType.Int, 4, System.Data.ParameterDirection.ReturnValue, false, ((System.Byte)(10)), ((System.Byte)(0)), "", System.Data.DataRowVersion.Current, null));
			// 
			// m_projectListDataSet
			// 
			this.m_projectListDataSet.DataSetName = "ProjectListDataSet";
			this.m_projectListDataSet.Locale = new System.Globalization.CultureInfo("en-US");
			this.m_projectListDataSet.Namespace = "http://www.tempuri.org/ProjectListDataSet.xsd";
			// 
			// m_sqlDAGetEmployeesByProject
			// 
			this.m_sqlDAGetEmployeesByProject.SelectCommand = this.m_sqlCmdGetEmployeesByProject;
			this.m_sqlDAGetEmployeesByProject.TableMappings.AddRange(new System.Data.Common.DataTableMapping[] {
																												   new System.Data.Common.DataTableMapping("Table", "Employees", new System.Data.Common.DataColumnMapping[] {
																																																								new System.Data.Common.DataColumnMapping("FirstName", "FirstName"),
																																																								new System.Data.Common.DataColumnMapping("MiddleInitial", "MiddleInitial"),
																																																								new System.Data.Common.DataColumnMapping("LastName", "LastName"),
																																																								new System.Data.Common.DataColumnMapping("CellPhone", "CellPhone"),
																																																								new System.Data.Common.DataColumnMapping("SitePhone", "SitePhone"),
																																																								new System.Data.Common.DataColumnMapping("ProjectName", "ProjectName")})});
			// 
			// m_sqlCmdGetEmployeesByProject
			// 
			this.m_sqlCmdGetEmployeesByProject.CommandText = "[sp_getEmployeesByProject]";
			this.m_sqlCmdGetEmployeesByProject.CommandType = System.Data.CommandType.StoredProcedure;
			this.m_sqlCmdGetEmployeesByProject.Connection = this.m_sqlConnection;
			this.m_sqlCmdGetEmployeesByProject.Parameters.Add(new System.Data.SqlClient.SqlParameter("@RETURN_VALUE", System.Data.SqlDbType.Int, 4, System.Data.ParameterDirection.ReturnValue, false, ((System.Byte)(10)), ((System.Byte)(0)), "", System.Data.DataRowVersion.Current, null));
			this.m_sqlCmdGetEmployeesByProject.Parameters.Add(new System.Data.SqlClient.SqlParameter("@ProjectID", System.Data.SqlDbType.Int, 4, System.Data.ParameterDirection.Input, false, ((System.Byte)(10)), ((System.Byte)(0)), "", System.Data.DataRowVersion.Current, null));
			// 
			// m_employeesDataSet
			// 
			this.m_employeesDataSet.DataSetName = "EmployeesDataSet";
			this.m_employeesDataSet.Locale = new System.Globalization.CultureInfo("en-US");
			this.m_employeesDataSet.Namespace = "http://www.tempuri.org/EmployeesDataSet.xsd";
			this.Load += new System.EventHandler(this.Page_Load);
			((System.ComponentModel.ISupportInitialize)(this.m_projectListDataSet)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this.m_employeesDataSet)).EndInit();

		}
		#endregion
	}
}
