<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:a="http://www.tempuri.org/EmployeesDataSet.xsd">
	<xsl:template match="/">
		<xsl:apply-templates/>
	</xsl:template>
	<xsl:template match="a:EmployeesDataSet">
		<html>
			<body>
				<h1>Employees By Project</h1>
				<table width="25%" border="0">
					<tr bgcolor="#FFCC33">
						<td>
							<b>Project</b>
						</td>
					</tr>
					<tr>
						<td>
							<b>
								<xsl:value-of select="current()/a:Employees[1]/a:ProjectName"/>
							</b>
						</td>
					</tr>
				</table>
				<p/>
				<table width="75%" border="0">
					<tr bgcolor="#FFCC33">
						<td width="31%">
							<b>Employee</b>
						</td>
						<td width="17%">
							<b>Cell Phone</b>
						</td>
						<td width="16%">
							<b>On-Site Phone</b>
						</td>
					</tr>
					<xsl:apply-templates select="current()/a:Employees"/>
				</table>
			</body>
		</html>
	</xsl:template>
	<xsl:template match="a:Employees">
		<tr>
			<td width="40%">
				<b>
					<xsl:value-of select="a:FirstName"/> &#32; <xsl:value-of select="a:MiddleInitial"/> &#32; <xsl:value-of select="a:LastName"/>
				</b>
			</td>
			<td width="30%">
				<b>
					<xsl:apply-templates select="a:CellPhone"/>
				</b>
			</td>
			<td width="30%">
				<b>
					<xsl:apply-templates select="a:SitePhone"/>
				</b>
			</td>
		</tr>
	</xsl:template>
	<xsl:template match="a:CellPhone">
		<xsl:call-template name="FormatPhone"/>
	</xsl:template>
	<xsl:template match="a:SitePhone">
		<xsl:call-template name="FormatPhone"/>
	</xsl:template>
	<xsl:template name="FormatPhone">
		<xsl:variable name="phoneNumber" select="current()"/>
		<xsl:choose>
			<xsl:when test="string-length($phoneNumber) >= 10">(<xsl:value-of select="substring($phoneNumber, 1, 3)"/>) <xsl:value-of select="substring($phoneNumber, 4, 3)"/>-<xsl:value-of select="substring($phoneNumber, 7, 4)"/>
			</xsl:when>
			<xsl:otherwise>invalid phone number</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>
