using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Diagnostics;
using System.Web;
using System.Web.Services;

namespace FootballStats
{
	/// <summary>
	/// Summary description for PlayerStats.
	/// </summary>
    [WebService(Namespace="http://someurl.net/FootballStats/PlayerStats",
    Description="Returns football players' statistics for the 2000 season")]
	public class PlayerStats : System.Web.Services.WebService
	{
		public PlayerStats()
		{
			//CODEGEN: This call is required by the ASP.NET Web Services Designer
			InitializeComponent();

            // obtain the connection string from the web.config file
            m_sqlConnection.ConnectionString = System.Configuration.ConfigurationSettings.AppSettings["ConnectionString"];
        }

        private System.Data.SqlClient.SqlConnection m_sqlConnection;
        private System.Data.SqlClient.SqlCommand m_sqlCmdPlayersByPosition;
        private System.Data.SqlClient.SqlDataAdapter m_sqlDAPlayerStats;

		#region Component Designer generated code
		
		//Required by the Web Services Designer 
		private IContainer components = null;
				
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
            this.m_sqlConnection = new System.Data.SqlClient.SqlConnection();
            this.m_sqlDAPlayerStats = new System.Data.SqlClient.SqlDataAdapter();
            this.m_sqlCmdPlayersByPosition = new System.Data.SqlClient.SqlCommand();
            // 
            // m_sqlConnection
            // 
            this.m_sqlConnection.ConnectionString = "data source=BALDUR;initial catalog=FootballStats;integrated security=SSPI;persist" +
                " security info=False;workstation id=THOR;packet size=4096";
            // 
            // m_sqlDAPlayerStats
            // 
            this.m_sqlDAPlayerStats.SelectCommand = this.m_sqlCmdPlayersByPosition;
            this.m_sqlDAPlayerStats.TableMappings.AddRange(new System.Data.Common.DataTableMapping[] {
                                                                                                         new System.Data.Common.DataTableMapping("Table", "PlayerStats", new System.Data.Common.DataColumnMapping[] {
                                                                                                                                                                                                                        new System.Data.Common.DataColumnMapping("PlayerID", "PlayerID"),
                                                                                                                                                                                                                        new System.Data.Common.DataColumnMapping("FirstName", "FirstName"),
                                                                                                                                                                                                                        new System.Data.Common.DataColumnMapping("LastName", "LastName"),
                                                                                                                                                                                                                        new System.Data.Common.DataColumnMapping("TeamName", "TeamName"),
                                                                                                                                                                                                                        new System.Data.Common.DataColumnMapping("GamesPlayed", "GamesPlayed"),
                                                                                                                                                                                                                        new System.Data.Common.DataColumnMapping("PassingCompletions", "PassingCompletions"),
                                                                                                                                                                                                                        new System.Data.Common.DataColumnMapping("PassingAttempts", "PassingAttempts"),
                                                                                                                                                                                                                        new System.Data.Common.DataColumnMapping("PassingYards", "PassingYards"),
                                                                                                                                                                                                                        new System.Data.Common.DataColumnMapping("PassingTouchdowns", "PassingTouchdowns"),
                                                                                                                                                                                                                        new System.Data.Common.DataColumnMapping("Interceptions", "Interceptions"),
                                                                                                                                                                                                                        new System.Data.Common.DataColumnMapping("Carries", "Carries"),
                                                                                                                                                                                                                        new System.Data.Common.DataColumnMapping("RushingYards", "RushingYards"),
                                                                                                                                                                                                                        new System.Data.Common.DataColumnMapping("RushingTouchdowns", "RushingTouchdowns"),
                                                                                                                                                                                                                        new System.Data.Common.DataColumnMapping("Receptions", "Receptions"),
                                                                                                                                                                                                                        new System.Data.Common.DataColumnMapping("ReceptionYards", "ReceptionYards"),
                                                                                                                                                                                                                        new System.Data.Common.DataColumnMapping("ReceptionTouchdowns", "ReceptionTouchdowns"),
                                                                                                                                                                                                                        new System.Data.Common.DataColumnMapping("TDReturn", "TDReturn"),
                                                                                                                                                                                                                        new System.Data.Common.DataColumnMapping("PointConversion", "PointConversion"),
                                                                                                                                                                                                                        new System.Data.Common.DataColumnMapping("Fumbles", "Fumbles")})});
            // 
            // m_sqlCmdPlayersByPosition
            // 
            this.m_sqlCmdPlayersByPosition.CommandText = "[sp_getPlayersByPosition]";
            this.m_sqlCmdPlayersByPosition.CommandType = System.Data.CommandType.StoredProcedure;
            this.m_sqlCmdPlayersByPosition.Connection = this.m_sqlConnection;
            this.m_sqlCmdPlayersByPosition.Parameters.Add(new System.Data.SqlClient.SqlParameter("@RETURN_VALUE", System.Data.SqlDbType.Int, 4, System.Data.ParameterDirection.ReturnValue, false, ((System.Byte)(10)), ((System.Byte)(0)), "", System.Data.DataRowVersion.Current, null));
            this.m_sqlCmdPlayersByPosition.Parameters.Add(new System.Data.SqlClient.SqlParameter("@PositionID", System.Data.SqlDbType.Int, 4, System.Data.ParameterDirection.Input, false, ((System.Byte)(10)), ((System.Byte)(0)), "", System.Data.DataRowVersion.Current, null));

        }

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if(disposing && components != null)
			{
				components.Dispose();
			}
			base.Dispose(disposing);		
		}
		
		#endregion

        /// <summary>
        /// Returns an XML string containing the stats of football players
        /// for a particular position from last season
        /// </summary>
        /// <param name="position">This parameter is the integer value that specifies the desired position</param>
        /// <returns>Returns an XML string containing the player's statistics</returns>
        [WebMethod (Description="Returns statistics for all football players with the given position")]
        public DSPlayerStats getPlayerStats(int position)
        {
            // create a new empty DataSet
            DSPlayerStats dataSet = new DSPlayerStats();

            try
            {
                // set the required parameter for the select command's
                // stored procedure using the given value
                m_sqlDAPlayerStats.SelectCommand.Parameters["@PositionID"].Value = position;
                // and fill the DataSet
                m_sqlDAPlayerStats.Fill(dataSet.PlayerStats);
            }
            catch (Exception ex)
            {
                System.Diagnostics.Debug.WriteLine(ex.ToString());
            }

            // return the XML string from the DataSet
            return dataSet;
        }
    }
}
