<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:template match="/">
		<html>
		<body>
		<xsl:variable name="origins" select="//origin[not(. = preceding::origin)]"/>
		<xsl:for-each select="$origins">
			<xsl:variable name="sameOrigin" select="//apples[origin = current()]"/>
			<p>
				<b><xsl:value-of select="."/></b>
				<ul><li>Quantity: <xsl:value-of select="sum($sameOrigin/quantity)"/></li></ul>
				<xsl:apply-templates select="$sameOrigin">
					<xsl:sort select="price" order="ascending"/>
				</xsl:apply-templates>
			</p>
		</xsl:for-each>
		</body>
		</html>
	</xsl:template>
	<xsl:template match="apples">
		<xsl:if test="position() = last()">
			<ul><li>Max: <xsl:value-of select="current()/price"/></li></ul>
		</xsl:if>
		<xsl:if test="position() = 1">
			<ul><li>Min: <xsl:value-of select="current()/price"/></li></ul>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
