use Employee
go

set nocount on
go

--
-- Delete any existing data
--
DELETE FROM EmployeeProject
DELETE FROM Project
DELETE FROM OfficeManager
DELETE FROM Office
DELETE FROM Manager 
DELETE FROM Employee
GO

--
-- Populate Office
--
SET IDENTITY_INSERT Office ON
INSERT INTO Office(OfficeID, location) VALUES(1, 'Atlanta')
INSERT INTO Office(OfficeID, location) VALUES(2, 'Baltimore')
INSERT INTO Office(OfficeID, location) VALUES(3, 'Corporate')
INSERT INTO Office(OfficeID, location) VALUES(4, 'Chicago')
INSERT INTO Office(OfficeID, location) VALUES(5, 'Philidelphia')
INSERT INTO Office(OfficeID, location) VALUES(6, 'Washington')
SET IDENTITY_INSERT Office OFF
GO

--
-- Populate Top level managers
--
SET IDENTITY_INSERT Employee ON
INSERT INTO Employee(EmployeeID, LastName, FirstName, MiddleInitial, OfficePhone, CellPhone, Beeper, OfficeManagerID) 
VALUES(4,'Alessio','Paul','C','6105550418','6095556206','2155558622',NULL)
INSERT INTO Employee(EmployeeID, LastName, FirstName, MiddleInitial, OfficePhone, CellPhone, Beeper, OfficeManagerID) 
VALUES(8,'Arcaro','Kim','B','3015550538','','3015552081',NULL)
INSERT INTO Employee(EmployeeID, LastName, FirstName, MiddleInitial, OfficePhone, CellPhone, Beeper, OfficeManagerID) 
VALUES(21,'Bradford','Ray','F','4105550464','4105556195','4105558489',NULL)
INSERT INTO Employee(EmployeeID, LastName, FirstName, MiddleInitial, OfficePhone, CellPhone, Beeper, OfficeManagerID) 
VALUES(10,'Barksdale','Andrew','J','4105550413','','4105557679',NULL)
INSERT INTO Employee(EmployeeID, LastName, FirstName, MiddleInitial, OfficePhone, CellPhone, Beeper, OfficeManagerID) 
VALUES(51,'Jackson','Peter','E','7705550507','','7705554619',NULL)
INSERT INTO Employee(EmployeeID, LastName, FirstName, MiddleInitial, OfficePhone, CellPhone, Beeper, OfficeManagerID) 
VALUES(75,'Quigley','Arnold','D','6305550416','','6305553548',NULL)
SET IDENTITY_INSERT Employee OFF
GO

--
-- Add manager entries
--
SET IDENTITY_INSERT Manager ON
INSERT INTO Manager(ManagerID, EmployeeID, Title)
VALUES(1,4,'Office Manager')
INSERT INTO Manager(ManagerID, EmployeeID, Title)
VALUES(2,8,'Office Manager')
INSERT INTO Manager(ManagerID, EmployeeID, Title)
VALUES(3,21,'Managing Director')
INSERT INTO Manager(ManagerID, EmployeeID, Title)
VALUES(4,10,'Corporate Manager')
INSERT INTO Manager(ManagerID, EmployeeID, Title)
VALUES(5,51,'Technical Director')
INSERT INTO Manager(ManagerID, EmployeeID, Title)
VALUES(6,75,'Technical Director')
SET IDENTITY_INSERT Manager OFF
GO

--
-- Now we can add the OfficeManager entries
--
INSERT INTO OfficeManager(OfficeManagerID, ManagerID, OfficeID) VALUES(2,1,1)
INSERT INTO OfficeManager(OfficeManagerID, ManagerID, OfficeID) VALUES(3,2,2)
INSERT INTO OfficeManager(OfficeManagerID, ManagerID, OfficeID) VALUES(4,4,3)
INSERT INTO OfficeManager(OfficeManagerID, ManagerID, OfficeID) VALUES(5,3,4)
INSERT INTO OfficeManager(OfficeManagerID, ManagerID, OfficeID) VALUES(6,5,5)
INSERT INTO OfficeManager(OfficeManagerID, ManagerID, OfficeID) VALUES(7,6,6)
GO

--
-- now we can finish adding the rest of the employees
--
SET IDENTITY_INSERT Employee ON
INSERT INTO Employee(EmployeeID, LastName, FirstName, MiddleInitial, OfficePhone, CellPhone, Beeper, OfficeManagerID) 
VALUES(1,'Abbatiello','John','J','3015550443','4435556532','4435553532',7)
INSERT INTO Employee(EmployeeID, LastName, FirstName, MiddleInitial, OfficePhone, CellPhone, Beeper, OfficeManagerID) 
VALUES(2,'Ace','Jack','E','4105550415','4105550717','',3)
INSERT INTO Employee(EmployeeID, LastName, FirstName, MiddleInitial, OfficePhone, CellPhone, Beeper, OfficeManagerID) 
VALUES(3,'Adak','Elaine','K','3015550467','','3015558137',7)
INSERT INTO Employee(EmployeeID, LastName, FirstName, MiddleInitial, OfficePhone, CellPhone, Beeper, OfficeManagerID) 
VALUES(7,'Anderson','Jean','W','4105550468','','',4)
INSERT INTO Employee(EmployeeID, LastName, FirstName, MiddleInitial, OfficePhone, CellPhone, Beeper, OfficeManagerID) 
VALUES(11,'Barley','Mike','C','4105550485','','4105550839',3)
INSERT INTO Employee(EmployeeID, LastName, FirstName, MiddleInitial, OfficePhone, CellPhone, Beeper, OfficeManagerID) 
VALUES(12,'Barton','Patricia','G','4105550422','','4105556674',3)
INSERT INTO Employee(EmployeeID, LastName, FirstName, MiddleInitial, OfficePhone, CellPhone, Beeper, OfficeManagerID) 
VALUES(14,'Beckey','John','A','4105550412','4435550574','4435556574',3)
INSERT INTO Employee(EmployeeID, LastName, FirstName, MiddleInitial, OfficePhone, CellPhone, Beeper, OfficeManagerID) 
VALUES(15,'Bennett','Julie','G','4105550221','','',3)
INSERT INTO Employee(EmployeeID, LastName, FirstName, MiddleInitial, OfficePhone, CellPhone, Beeper, OfficeManagerID) 
VALUES(16,'Berkoski','Jason','E','3015550469','2405556909','2405553909',7)
INSERT INTO Employee(EmployeeID, LastName, FirstName, MiddleInitial, OfficePhone, CellPhone, Beeper, OfficeManagerID) 
VALUES(17,'Berns','Robert','','3015550414','3015552019','3015552019',7)
INSERT INTO Employee(EmployeeID, LastName, FirstName, MiddleInitial, OfficePhone, CellPhone, Beeper, OfficeManagerID) 
VALUES(18,'Besso','Dave','M','3015550416','7035556328','7035559328',7)
INSERT INTO Employee(EmployeeID, LastName, FirstName, MiddleInitial, OfficePhone, CellPhone, Beeper, OfficeManagerID) 
VALUES(19,'Blasdel','Rob','D','4105550459','','4105550603',3)
INSERT INTO Employee(EmployeeID, LastName, FirstName, MiddleInitial, OfficePhone, CellPhone, Beeper, OfficeManagerID) 
VALUES(20,'Boyette','Mark','','1112229999','','4105559989',3)
INSERT INTO Employee(EmployeeID, LastName, FirstName, MiddleInitial, OfficePhone, CellPhone, Beeper, OfficeManagerID) 
VALUES(23,'Cabanayan','Charles','R','3015550480','','3015556011',7)
INSERT INTO Employee(EmployeeID, LastName, FirstName, MiddleInitial, OfficePhone, CellPhone, Beeper, OfficeManagerID) 
VALUES(24,'Cai','Jarrett','J','3015550558','','3015558093',7)
INSERT INTO Employee(EmployeeID, LastName, FirstName, MiddleInitial, OfficePhone, CellPhone, Beeper, OfficeManagerID) 
VALUES(25,'Carangal','Rich','','4105550466','','4105556549',3)
INSERT INTO Employee(EmployeeID, LastName, FirstName, MiddleInitial, OfficePhone, CellPhone, Beeper, OfficeManagerID) 
VALUES(26,'Carrier','Andrew','J','4105550494','','4105550413',3)
INSERT INTO Employee(EmployeeID, LastName, FirstName, MiddleInitial, OfficePhone, CellPhone, Beeper, OfficeManagerID) 
VALUES(27,'Cole','Jack','','3015550429','4105558299','4105558299',7)
INSERT INTO Employee(EmployeeID, LastName, FirstName, MiddleInitial, OfficePhone, CellPhone, Beeper, OfficeManagerID) 
VALUES(28,'DeWolfe','Lawrence','F','3015550458','','3015556087',7)
INSERT INTO Employee(EmployeeID, LastName, FirstName, MiddleInitial, OfficePhone, CellPhone, Beeper, OfficeManagerID) 
VALUES(29,'Diaz','Sam','R','4105550414','4105553589','4105554610',3)
INSERT INTO Employee(EmployeeID, LastName, FirstName, MiddleInitial, OfficePhone, CellPhone, Beeper, OfficeManagerID) 
VALUES(30,'Dziembowski','Rajesh','','6105550521','','6105550656',6)
INSERT INTO Employee(EmployeeID, LastName, FirstName, MiddleInitial, OfficePhone, CellPhone, Beeper, OfficeManagerID) 
VALUES(31,'Edinger','John','S','6105550542','','2155556842',6)
INSERT INTO Employee(EmployeeID, LastName, FirstName, MiddleInitial, OfficePhone, CellPhone, Beeper, OfficeManagerID) 
VALUES(32,'Edwards','Mark','W','3015550412','','3015556061',7)
INSERT INTO Employee(EmployeeID, LastName, FirstName, MiddleInitial, OfficePhone, CellPhone, Beeper, OfficeManagerID) 
VALUES(33,'Ewing','Todd','D','4105550457','','4105559678',3)
INSERT INTO Employee(EmployeeID, LastName, FirstName, MiddleInitial, OfficePhone, CellPhone, Beeper, OfficeManagerID) 
VALUES(34,'Fine','Partrick','D','7705550414','4045556922','7705550335',2)
INSERT INTO Employee(EmployeeID, LastName, FirstName, MiddleInitial, OfficePhone, CellPhone, Beeper, OfficeManagerID) 
VALUES(35,'Fischer','David','','3015550428','7035556563','',7)
INSERT INTO Employee(EmployeeID, LastName, FirstName, MiddleInitial, OfficePhone, CellPhone, Beeper, OfficeManagerID) 
VALUES(36,'Flaherty','Steve','C','4105550483','','3015559062',3)
INSERT INTO Employee(EmployeeID, LastName, FirstName, MiddleInitial, OfficePhone, CellPhone, Beeper, OfficeManagerID) 
VALUES(37,'Fonseca','Daniel','R','3015550455','','3015557100',7)
INSERT INTO Employee(EmployeeID, LastName, FirstName, MiddleInitial, OfficePhone, CellPhone, Beeper, OfficeManagerID) 
VALUES(38,'Forcey','Sydnie','','3015550488','','3015553224',7)
INSERT INTO Employee(EmployeeID, LastName, FirstName, MiddleInitial, OfficePhone, CellPhone, Beeper, OfficeManagerID) 
VALUES(39,'Gallegos','Jean','','3015550423','','3015550161',7)
INSERT INTO Employee(EmployeeID, LastName, FirstName, MiddleInitial, OfficePhone, CellPhone, Beeper, OfficeManagerID) 
VALUES(40,'Galloway','Steve','','4105550496','4105553191','',3)
INSERT INTO Employee(EmployeeID, LastName, FirstName, MiddleInitial, OfficePhone, CellPhone, Beeper, OfficeManagerID) 
VALUES(41,'Gilleland','Paul','','7705550514','6785554890','7705553230',2)
INSERT INTO Employee(EmployeeID, LastName, FirstName, MiddleInitial, OfficePhone, CellPhone, Beeper, OfficeManagerID) 
VALUES(42,'Gilroy','William','','4105550475','7175550544','4105559817',3)
INSERT INTO Employee(EmployeeID, LastName, FirstName, MiddleInitial, OfficePhone, CellPhone, Beeper, OfficeManagerID) 
VALUES(43,'Gitlin','Frank','','4105550482','','4105552274',3)
INSERT INTO Employee(EmployeeID, LastName, FirstName, MiddleInitial, OfficePhone, CellPhone, Beeper, OfficeManagerID) 
VALUES(44,'Gleason','Anne','','3015550466','','3015558768',7)
INSERT INTO Employee(EmployeeID, LastName, FirstName, MiddleInitial, OfficePhone, CellPhone, Beeper, OfficeManagerID) 
VALUES(45,'Golczewski','Greg','','6105550420','2155552944','',6)
INSERT INTO Employee(EmployeeID, LastName, FirstName, MiddleInitial, OfficePhone, CellPhone, Beeper, OfficeManagerID) 
VALUES(46,'Guidry','Andrew','C','3015550435','2405553687','3015559450',7)
INSERT INTO Employee(EmployeeID, LastName, FirstName, MiddleInitial, OfficePhone, CellPhone, Beeper, OfficeManagerID) 
VALUES(47,'Guo','Deborah','E','3015550514','','3015554624',7)
INSERT INTO Employee(EmployeeID, LastName, FirstName, MiddleInitial, OfficePhone, CellPhone, Beeper, OfficeManagerID) 
VALUES(48,'Gupta','Ben','F','6305550504','8475554635','6305553775',5)
INSERT INTO Employee(EmployeeID, LastName, FirstName, MiddleInitial, OfficePhone, CellPhone, Beeper, OfficeManagerID) 
VALUES(49,'Henenberg','Sally','W','6105550425','6105559086','6105550419',6)
INSERT INTO Employee(EmployeeID, LastName, FirstName, MiddleInitial, OfficePhone, CellPhone, Beeper, OfficeManagerID) 
VALUES(50,'Holmes','John','J','4105550461','4105553904','4105554074',3)
INSERT INTO Employee(EmployeeID, LastName, FirstName, MiddleInitial, OfficePhone, CellPhone, Beeper, OfficeManagerID) 
VALUES(52,'Jaramillo','Jesus','','3015550505','7035559403','3015558413',7)
INSERT INTO Employee(EmployeeID, LastName, FirstName, MiddleInitial, OfficePhone, CellPhone, Beeper, OfficeManagerID) 
VALUES(53,'Jesudason','Elliott','G','3015550461','3015554082','3015552422',7)
INSERT INTO Employee(EmployeeID, LastName, FirstName, MiddleInitial, OfficePhone, CellPhone, Beeper, OfficeManagerID) 
VALUES(54,'Johnson','Jack','J','4105550460','','4105553498',3)
INSERT INTO Employee(EmployeeID, LastName, FirstName, MiddleInitial, OfficePhone, CellPhone, Beeper, OfficeManagerID) 
VALUES(55,'Jones','John','W','7705550522','6785558185','6785554673',2)
INSERT INTO Employee(EmployeeID, LastName, FirstName, MiddleInitial, OfficePhone, CellPhone, Beeper, OfficeManagerID) 
VALUES(56,'Junker','Patrick','','3015550433','7035550041','7035553041',7)
INSERT INTO Employee(EmployeeID, LastName, FirstName, MiddleInitial, OfficePhone, CellPhone, Beeper, OfficeManagerID) 
VALUES(57,'Keimig','Jerry','J','4105550419','','',3)
INSERT INTO Employee(EmployeeID, LastName, FirstName, MiddleInitial, OfficePhone, CellPhone, Beeper, OfficeManagerID) 
VALUES(58,'Kennedy','Ralph','','6305550507','','6305552387',5)
INSERT INTO Employee(EmployeeID, LastName, FirstName, MiddleInitial, OfficePhone, CellPhone, Beeper, OfficeManagerID) 
VALUES(59,'Kumar','Rang','P','6105550526','','2155550797',6)
INSERT INTO Employee(EmployeeID, LastName, FirstName, MiddleInitial, OfficePhone, CellPhone, Beeper, OfficeManagerID) 
VALUES(61,'Lader','Richard','A','3015550533','4105550241','3015550190',7)
INSERT INTO Employee(EmployeeID, LastName, FirstName, MiddleInitial, OfficePhone, CellPhone, Beeper, OfficeManagerID) 
VALUES(62,'Landsman','John','','4105550436','4105552899','4105550899',4)
INSERT INTO Employee(EmployeeID, LastName, FirstName, MiddleInitial, OfficePhone, CellPhone, Beeper, OfficeManagerID) 
VALUES(63,'Lawton','Larry','W','4105550476','4105552206','4105552206',3)
INSERT INTO Employee(EmployeeID, LastName, FirstName, MiddleInitial, OfficePhone, CellPhone, Beeper, OfficeManagerID) 
VALUES(64,'Layne','Jack','','3015550478','3015553723','3015553723',7)
INSERT INTO Employee(EmployeeID, LastName, FirstName, MiddleInitial, OfficePhone, CellPhone, Beeper, OfficeManagerID) 
VALUES(65,'Louthian','Don','J','3015550463','','4105556632',7)
INSERT INTO Employee(EmployeeID, LastName, FirstName, MiddleInitial, OfficePhone, CellPhone, Beeper, OfficeManagerID) 
VALUES(66,'Lynn','Kirk','','6105550441','','2155554738',6)
INSERT INTO Employee(EmployeeID, LastName, FirstName, MiddleInitial, OfficePhone, CellPhone, Beeper, OfficeManagerID) 
VALUES(67,'MacLeary','Erick','S','4105550423','4105553151','8885550929',4)
INSERT INTO Employee(EmployeeID, LastName, FirstName, MiddleInitial, OfficePhone, CellPhone, Beeper, OfficeManagerID) 
VALUES(68,'McHugh','Charles','D','4105550449','4105551630','4105554080',3)
INSERT INTO Employee(EmployeeID, LastName, FirstName, MiddleInitial, OfficePhone, CellPhone, Beeper, OfficeManagerID) 
VALUES(69,'McUmber','James','W','4105550462','','8885559079',4)
INSERT INTO Employee(EmployeeID, LastName, FirstName, MiddleInitial, OfficePhone, CellPhone, Beeper, OfficeManagerID) 
VALUES(70,'Mitchell','Thomas','M','4105550478','','4105559988',3)
INSERT INTO Employee(EmployeeID, LastName, FirstName, MiddleInitial, OfficePhone, CellPhone, Beeper, OfficeManagerID) 
VALUES(71,'Mullennix','Walter','W','3015550444','','3015550711',7)
INSERT INTO Employee(EmployeeID, LastName, FirstName, MiddleInitial, OfficePhone, CellPhone, Beeper, OfficeManagerID) 
VALUES(72,'Owens','William','D','3015550464','7035553067','',7)
INSERT INTO Employee(EmployeeID, LastName, FirstName, MiddleInitial, OfficePhone, CellPhone, Beeper, OfficeManagerID) 
VALUES(74,'Pugh','Terry','G','6105550535','','2155552687',6)
INSERT INTO Employee(EmployeeID, LastName, FirstName, MiddleInitial, OfficePhone, CellPhone, Beeper, OfficeManagerID) 
VALUES(76,'Raab','May','','7705550503','6785554343','',2)
INSERT INTO Employee(EmployeeID, LastName, FirstName, MiddleInitial, OfficePhone, CellPhone, Beeper, OfficeManagerID) 
VALUES(77,'Raney','Richard','M','7705550504','7705554756','7705554308',2)
INSERT INTO Employee(EmployeeID, LastName, FirstName, MiddleInitial, OfficePhone, CellPhone, Beeper, OfficeManagerID) 
VALUES(78,'Scott','Mark','','3015550413','7035556302','3015556699',7)
INSERT INTO Employee(EmployeeID, LastName, FirstName, MiddleInitial, OfficePhone, CellPhone, Beeper, OfficeManagerID) 
VALUES(79,'Sprague','Andy','D','3015550415','3016664350','',7)
INSERT INTO Employee(EmployeeID, LastName, FirstName, MiddleInitial, OfficePhone, CellPhone, Beeper, OfficeManagerID) 
VALUES(80,'Summers','Jim','D','3015550540','2405558503','3015553146',7)
INSERT INTO Employee(EmployeeID, LastName, FirstName, MiddleInitial, OfficePhone, CellPhone, Beeper, OfficeManagerID) 
VALUES(81,'Taylor','John','G','3015550475','','3015559765',7)
INSERT INTO Employee(EmployeeID, LastName, FirstName, MiddleInitial, OfficePhone, CellPhone, Beeper, OfficeManagerID) 
VALUES(82,'Tidd','Todd','','3015550513','','3015550281',7)
INSERT INTO Employee(EmployeeID, LastName, FirstName, MiddleInitial, OfficePhone, CellPhone, Beeper, OfficeManagerID) 
VALUES(83,'Vasiledsky','Vladimir','E','6105550527','','6105559655',5)
INSERT INTO Employee(EmployeeID, LastName, FirstName, MiddleInitial, OfficePhone, CellPhone, Beeper, OfficeManagerID) 
VALUES(84,'Wall','Jarrett','L','4105550487','4105550015','4105558015',3)
INSERT INTO Employee(EmployeeID, LastName, FirstName, MiddleInitial, OfficePhone, CellPhone, Beeper, OfficeManagerID) 
VALUES(86,'Weaverling','Mark','D','3015550450','','3015558297',7)
INSERT INTO Employee(EmployeeID, LastName, FirstName, MiddleInitial, OfficePhone, CellPhone, Beeper, OfficeManagerID) 
VALUES(87,'Wisel','Brian','G','4105550445','4435550480','4105559508',4)
INSERT INTO Employee(EmployeeID, LastName, FirstName, MiddleInitial, OfficePhone, CellPhone, Beeper, OfficeManagerID) 
VALUES(88,'Xanax','Julian','','4105553345','4435552209','4105551190',7)
SET IDENTITY_INSERT Employee OFF
GO

--
-- Add the rest of the managers
--
SET IDENTITY_INSERT Manager ON
INSERT INTO Manager(ManagerID, EmployeeID, Title)
VALUES(7,33,'Project Manager')
INSERT INTO Manager(ManagerID, EmployeeID, Title)
VALUES(8,82,'Project Manager')
INSERT INTO Manager(ManagerID, EmployeeID, Title)
VALUES(9,43,'Project Manager')
INSERT INTO Manager(ManagerID, EmployeeID, Title)
VALUES(10,28,'Project Manager')
INSERT INTO Manager(ManagerID, EmployeeID, Title)
VALUES(11,64,'Project Manager')
INSERT INTO Manager(ManagerID, EmployeeID, Title)
VALUES(12,20,'Project Manager')
INSERT INTO Manager(ManagerID, EmployeeID, Title)
VALUES(13,38,'Project Manager')
INSERT INTO Manager(ManagerID, EmployeeID, Title)
VALUES(14,46,'Project Manager')
INSERT INTO Manager(ManagerID, EmployeeID, Title)
VALUES(15,20,'Project Manager')
INSERT INTO Manager(ManagerID, EmployeeID, Title)
VALUES(16,83,'Project Manager')
INSERT INTO Manager(ManagerID, EmployeeID, Title)
VALUES(17,59,'Project Manager')
INSERT INTO Manager(ManagerID, EmployeeID, Title)
VALUES(18,30,'Project Manager')
INSERT INTO Manager(ManagerID, EmployeeID, Title)
VALUES(19,77,'Project Manager')
SET IDENTITY_INSERT Manager OFF
GO

--
-- Populate Project
--
SET IDENTITY_INSERT Project ON
INSERT INTO Project(ProjectID, Name, ManagerID) VALUES(2,'Alpha Networks',7)
INSERT INTO Project(ProjectID, Name, ManagerID) VALUES(3,'November Banking',8)
INSERT INTO Project(ProjectID, Name, ManagerID) VALUES(4,'Beta Investments',9)
INSERT INTO Project(ProjectID, Name, ManagerID) VALUES(5,'Zulu Market',10)
INSERT INTO Project(ProjectID, Name, ManagerID) VALUES(6,'Tango Investing',11)
INSERT INTO Project(ProjectID, Name, ManagerID) VALUES(7,'Romeo Artwork',12)
INSERT INTO Project(ProjectID, Name, ManagerID) VALUES(8,'Delta Scheduling',13)
INSERT INTO Project(ProjectID, Name, ManagerID) VALUES(9,'Foxtrot Portal',14)
INSERT INTO Project(ProjectID, Name, ManagerID) VALUES(10,'Charlie Investments',15)
INSERT INTO Project(ProjectID, Name, ManagerID) VALUES(11,'Gulf Portal',16)
INSERT INTO Project(ProjectID, Name, ManagerID) VALUES(12,'Juliet Sales Support',17)
INSERT INTO Project(ProjectID, Name, ManagerID) VALUES(13,'Kilo Maintenance',18)
INSERT INTO Project(ProjectID, Name, ManagerID) VALUES(14,'India Outsource',19)
SET IDENTITY_INSERT Project OFF
GO

--
-- Populate EmployeeProject
--
INSERT INTO EmployeeProject(EmployeeID, ProjectID, Phone) VALUES(34,2,'')
INSERT INTO EmployeeProject(EmployeeID, ProjectID, Phone) VALUES(41,2,'')
INSERT INTO EmployeeProject(EmployeeID, ProjectID, Phone) VALUES(51,14,'')
INSERT INTO EmployeeProject(EmployeeID, ProjectID, Phone) VALUES(55,14,'')
INSERT INTO EmployeeProject(EmployeeID, ProjectID, Phone) VALUES(76,14,'')
INSERT INTO EmployeeProject(EmployeeID, ProjectID, Phone) VALUES(77,2,'')
INSERT INTO EmployeeProject(EmployeeID, ProjectID, Phone) VALUES(2,3,'')
INSERT INTO EmployeeProject(EmployeeID, ProjectID, Phone) VALUES(11,3,'')
INSERT INTO EmployeeProject(EmployeeID, ProjectID, Phone) VALUES(11,5,'')
INSERT INTO EmployeeProject(EmployeeID, ProjectID, Phone) VALUES(11,10,'')
INSERT INTO EmployeeProject(EmployeeID, ProjectID, Phone) VALUES(14,6,'')
INSERT INTO EmployeeProject(EmployeeID, ProjectID, Phone) VALUES(14,8,'')
INSERT INTO EmployeeProject(EmployeeID, ProjectID, Phone) VALUES(15,10,'')
INSERT INTO EmployeeProject(EmployeeID, ProjectID, Phone) VALUES(19,10,'')
INSERT INTO EmployeeProject(EmployeeID, ProjectID, Phone) VALUES(20,10,'')
INSERT INTO EmployeeProject(EmployeeID, ProjectID, Phone) VALUES(21,8,'')
INSERT INTO EmployeeProject(EmployeeID, ProjectID, Phone) VALUES(25,7,'')
INSERT INTO EmployeeProject(EmployeeID, ProjectID, Phone) VALUES(26,4,'')
INSERT INTO EmployeeProject(EmployeeID, ProjectID, Phone) VALUES(29,4,'')
INSERT INTO EmployeeProject(EmployeeID, ProjectID, Phone) VALUES(33,4,'')
INSERT INTO EmployeeProject(EmployeeID, ProjectID, Phone) VALUES(36,5,'')
INSERT INTO EmployeeProject(EmployeeID, ProjectID, Phone) VALUES(40,5,'')
INSERT INTO EmployeeProject(EmployeeID, ProjectID, Phone) VALUES(42,6,'')
INSERT INTO EmployeeProject(EmployeeID, ProjectID, Phone) VALUES(43,7,'')
INSERT INTO EmployeeProject(EmployeeID, ProjectID, Phone) VALUES(50,7,'')
INSERT INTO EmployeeProject(EmployeeID, ProjectID, Phone) VALUES(54,8,'')
INSERT INTO EmployeeProject(EmployeeID, ProjectID, Phone) VALUES(57,8,'')
INSERT INTO EmployeeProject(EmployeeID, ProjectID, Phone) VALUES(63,9,'')
INSERT INTO EmployeeProject(EmployeeID, ProjectID, Phone) VALUES(68,9,'')
INSERT INTO EmployeeProject(EmployeeID, ProjectID, Phone) VALUES(70,9,'')
INSERT INTO EmployeeProject(EmployeeID, ProjectID, Phone) VALUES(84,10,'')
INSERT INTO EmployeeProject(EmployeeID, ProjectID, Phone) VALUES(84,8,'')
INSERT INTO EmployeeProject(EmployeeID, ProjectID, Phone) VALUES(84,6,'')
INSERT INTO EmployeeProject(EmployeeID, ProjectID, Phone) VALUES(48,11,'')
INSERT INTO EmployeeProject(EmployeeID, ProjectID, Phone) VALUES(58,11,'')
INSERT INTO EmployeeProject(EmployeeID, ProjectID, Phone) VALUES(75,11,'')
INSERT INTO EmployeeProject(EmployeeID, ProjectID, Phone) VALUES(83,11,'')
INSERT INTO EmployeeProject(EmployeeID, ProjectID, Phone) VALUES(4,12,'')
INSERT INTO EmployeeProject(EmployeeID, ProjectID, Phone) VALUES(30,12,'')
INSERT INTO EmployeeProject(EmployeeID, ProjectID, Phone) VALUES(31,12,'')
INSERT INTO EmployeeProject(EmployeeID, ProjectID, Phone) VALUES(45,13,'')
INSERT INTO EmployeeProject(EmployeeID, ProjectID, Phone) VALUES(49,13,'')
INSERT INTO EmployeeProject(EmployeeID, ProjectID, Phone) VALUES(59,12,'')
INSERT INTO EmployeeProject(EmployeeID, ProjectID, Phone) VALUES(66,13,'')
INSERT INTO EmployeeProject(EmployeeID, ProjectID, Phone) VALUES(74,13,'')
INSERT INTO EmployeeProject(EmployeeID, ProjectID, Phone) VALUES(1,5,'')
INSERT INTO EmployeeProject(EmployeeID, ProjectID, Phone) VALUES(3,5,'')
INSERT INTO EmployeeProject(EmployeeID, ProjectID, Phone) VALUES(8,6,'')
INSERT INTO EmployeeProject(EmployeeID, ProjectID, Phone) VALUES(16,8,'')
INSERT INTO EmployeeProject(EmployeeID, ProjectID, Phone) VALUES(17,5,'')
INSERT INTO EmployeeProject(EmployeeID, ProjectID, Phone) VALUES(18,9,'')
INSERT INTO EmployeeProject(EmployeeID, ProjectID, Phone) VALUES(23,7,'')
INSERT INTO EmployeeProject(EmployeeID, ProjectID, Phone) VALUES(24,4,'')
INSERT INTO EmployeeProject(EmployeeID, ProjectID, Phone) VALUES(24,7,'')
INSERT INTO EmployeeProject(EmployeeID, ProjectID, Phone) VALUES(27,8,'')
INSERT INTO EmployeeProject(EmployeeID, ProjectID, Phone) VALUES(28,8,'')
INSERT INTO EmployeeProject(EmployeeID, ProjectID, Phone) VALUES(32,8,'')
INSERT INTO EmployeeProject(EmployeeID, ProjectID, Phone) VALUES(35,7,'')
INSERT INTO EmployeeProject(EmployeeID, ProjectID, Phone) VALUES(37,7,'')
INSERT INTO EmployeeProject(EmployeeID, ProjectID, Phone) VALUES(38,4,'')
INSERT INTO EmployeeProject(EmployeeID, ProjectID, Phone) VALUES(39,4,'')
INSERT INTO EmployeeProject(EmployeeID, ProjectID, Phone) VALUES(44,4,'')
INSERT INTO EmployeeProject(EmployeeID, ProjectID, Phone) VALUES(46,3,'')
INSERT INTO EmployeeProject(EmployeeID, ProjectID, Phone) VALUES(47,3,'')
INSERT INTO EmployeeProject(EmployeeID, ProjectID, Phone) VALUES(52,2,'')
INSERT INTO EmployeeProject(EmployeeID, ProjectID, Phone) VALUES(53,2,'')
INSERT INTO EmployeeProject(EmployeeID, ProjectID, Phone) VALUES(56,2,'')
INSERT INTO EmployeeProject(EmployeeID, ProjectID, Phone) VALUES(61,2,'')
INSERT INTO EmployeeProject(EmployeeID, ProjectID, Phone) VALUES(64,6,'')
INSERT INTO EmployeeProject(EmployeeID, ProjectID, Phone) VALUES(65,6,'')
INSERT INTO EmployeeProject(EmployeeID, ProjectID, Phone) VALUES(71,3,'')
INSERT INTO EmployeeProject(EmployeeID, ProjectID, Phone) VALUES(72,8,'')
INSERT INTO EmployeeProject(EmployeeID, ProjectID, Phone) VALUES(78,4,'')
INSERT INTO EmployeeProject(EmployeeID, ProjectID, Phone) VALUES(79,4,'')
INSERT INTO EmployeeProject(EmployeeID, ProjectID, Phone) VALUES(80,3,'')
INSERT INTO EmployeeProject(EmployeeID, ProjectID, Phone) VALUES(81,3,'')
INSERT INTO EmployeeProject(EmployeeID, ProjectID, Phone) VALUES(82,3,'')
INSERT INTO EmployeeProject(EmployeeID, ProjectID, Phone) VALUES(86,5,'')
INSERT INTO EmployeeProject(EmployeeID, ProjectID, Phone) VALUES(7,12,'')
INSERT INTO EmployeeProject(EmployeeID, ProjectID, Phone) VALUES(10,2,'')
INSERT INTO EmployeeProject(EmployeeID, ProjectID, Phone) VALUES(88,12,'')
INSERT INTO EmployeeProject(EmployeeID, ProjectID, Phone) VALUES(88,2,'')
GO
