use master
go
drop database Employee
go
create database Employee
go
use Employee
go

CREATE TABLE [dbo].[Employee] (
	[EmployeeID] [int] IDENTITY (1, 1) NOT NULL ,
	[LastName] [nvarchar] (50) NOT NULL ,
	[FirstName] [nvarchar] (50) NOT NULL ,
	[MiddleInitial] [nvarchar] (1) NULL ,
	[OfficePhone] [nvarchar] (10) NOT NULL ,
	[CellPhone] [nvarchar] (10) NULL ,
	[Beeper] [nvarchar] (10) NULL ,
	[OfficeManagerID] [int] NULL ,
	CONSTRAINT [PK_Employee] PRIMARY KEY  CLUSTERED 
		( [EmployeeID] )
)
GO


CREATE TABLE [dbo].[EmployeeProject] (
	[EmployeeID] [int] NOT NULL ,
	[ProjectID] [int] NOT NULL ,
	[Phone] [nvarchar] (10) NULL ,
)
GO


CREATE TABLE [dbo].[Manager] (
	[ManagerID] [int] IDENTITY (1, 1) NOT NULL ,
	[EmployeeID] [int] NOT NULL ,
	[Title] [nvarchar] (20) NULL ,
	CONSTRAINT [PK_Manager] PRIMARY KEY  CLUSTERED 
	(
		[ManagerID]
	)
)
GO

CREATE TABLE [dbo].[Office] (
	[OfficeID] [int] IDENTITY (1, 1) NOT NULL ,
	[Location] [nvarchar] (50) NOT NULL ,
	CONSTRAINT [PK_Office] PRIMARY KEY  CLUSTERED 
	(
		[OfficeID]
	)
)
GO

CREATE TABLE [dbo].[OfficeManager] (
	[OfficeManagerID] [int] NOT NULL ,
	[ManagerID] [int] NULL ,
	[OfficeID] [int] NOT NULL ,
	CONSTRAINT [PK_OfficeManager] PRIMARY KEY  CLUSTERED 
	(
		[OfficeManagerID]
	)
)
GO

CREATE TABLE [dbo].[Project] (
	[ProjectID] [int] IDENTITY (1, 1) NOT NULL ,
	[Name] [nvarchar] (50) NOT NULL ,
	[ManagerID] [int] NOT NULL ,
	CONSTRAINT [PK_Project] PRIMARY KEY  CLUSTERED 
	(
		[ProjectID]
	)
)
GO


ALTER TABLE EmployeeProject
       ADD CONSTRAINT FK_EmployeeProject_Employee
              FOREIGN KEY (EmployeeID)
                             REFERENCES Employee
go

ALTER TABLE EmployeeProject
       ADD CONSTRAINT FK_EmployeeProject_Project
              FOREIGN KEY (ProjectID)
                             REFERENCES Project
go

ALTER TABLE Manager
       ADD CONSTRAINT FK_Manager_Employee
              FOREIGN KEY (EmployeeID)
                             REFERENCES Employee
go

ALTER TABLE OfficeManager
       ADD CONSTRAINT FK_OfficeManager_Manager
              FOREIGN KEY (ManagerID)
                             REFERENCES Manager
go

ALTER TABLE OfficeManager
       ADD CONSTRAINT FK_OfficeManager_Office
              FOREIGN KEY (OfficeID)
                             REFERENCES Office
go

ALTER TABLE Project
       ADD CONSTRAINT FK_Project_Manager
              FOREIGN KEY (ManagerID)
                             REFERENCES Manager
go

