if exists (select * from dbo.sysobjects
				where id = object_id(N'[dbo].[uspEmployeeDetail]')
				and OBJECTPROPERTY(id, N'IsProcedure') = 1)
   drop procedure [dbo].[uspEmployeeDetail]
GO

CREATE PROCEDURE uspEmployeeDetail(
    @EmployeeID int
)
AS
BEGIN
/************************************************************************
   Name:       uspEmployeeDetail
   Purpose:    Retrieves data sets needed to populate the 
	           EmployeeDetail DataSet
   Notes:      None

   Parameters: @EmployeeID    =    ID of the employee to retrieve
************************************************************************/

SELECT 
     EmployeeID
,    LastName
,    FirstName
,    MiddleInitial
,    OfficePhone
,    CellPhone
,    Beeper
FROM Employee
WHERE EmployeeID = @EmployeeID

SELECT 
     Manager.LastName
,    Manager.FirstName
,    Mgr.Title
FROM Employee Manager
JOIN Manager Mgr ON Mgr.EmployeeID = Manager.EmployeeID
JOIN OfficeManager OMgr ON OMgr.ManagerID = Mgr.ManagerID
JOIN Employee InEmp ON InEmp.OfficeManagerID = OMgr.OfficeManagerID
WHERE InEmp.EmployeeID = @EmployeeID

SELECT 
     Project.[Name]
FROM Project
JOIN EmployeeProject EmpPrj ON EmpPrj.ProjectID = Project.ProjectID
WHERE EmpPrj.EmployeeID = @EmployeeID

END
GO