if exists (select * from dbo.sysobjects
				where id = object_id(N'[dbo].[uspEmployeeDetailXML]')
				and OBJECTPROPERTY(id, N'IsProcedure') = 1)
   drop procedure [dbo].[uspEmployeeDetailXML]
GO

CREATE PROCEDURE uspEmployeeDetailXML(
    @EmployeeID int
)
AS
BEGIN
/************************************************************************
   Name:       uspEmployeeDetailXML
   Purpose:    Retrieves data sets needed to populate the 
	           EmployeeDetail DataSet
   Notes:      None

   Parameters: @EmployeeID    =    ID of the employee to retrieve
************************************************************************/
-- First select statement for EmployeeDetailDS
SELECT 
     1                   As    Tag
,    NULL                As    Parent  
,    NULL                As    [EmployeeDetailDS!1!!element]          
,    @EmployeeID         As    [Employee!2!EmployeeID!element]
,    NULL                As    [Employee!2!LastName!element]
,    NULL                As    [Employee!2!FirstName!element]
,    NULL                As    [Employee!2!MiddleInitial!element]
,    NULL                As    [Employee!2!OfficePhone!element]
,    NULL                As    [Employee!2!CellPhone!element]
,    NULL                As    [Employee!2!Beeper!element]
,    NULL                As    [Manager!3!LastName!element]
,    NULL                As    [Manager!3!FirstName!element]
,    NULL                As    [Manager!3!Title!element]
,    NULL                As    [Project!4!Name!element]
UNION

-- Next Select statement for Employee Data
SELECT 
     2 
,    1
,    NULL
,    EmployeeID
,    LastName
,    FirstName
,    MiddleInitial
,    OfficePhone
,    CellPhone
,    Beeper
,    NULL
,    NULL
,    NULL
,    NULL
FROM Employee
WHERE EmployeeID = @EmployeeID
UNION

-- Now select the manager data
SELECT 
     3
,    1
,    NULL
,    InEmp.EmployeeID
,    NULL
,    NULL
,    NULL
,    NULL
,    NULL
,    NULL
,    Manager.LastName
,    Manager.FirstName
,    Mgr.Title
,    NULL
FROM Employee Manager
JOIN Manager Mgr ON Mgr.EmployeeID = Manager.EmployeeID
JOIN OfficeManager OMgr ON OMgr.ManagerID = Mgr.ManagerID
JOIN Employee InEmp ON InEmp.OfficeManagerID = OMgr.OfficeManagerID
WHERE InEmp.EmployeeID = @EmployeeID
UNION

-- Finally select the Project data
SELECT
     4
,    3
,    NULL
,    EmpPrj.EmployeeID
,    NULL
,    NULL
,    NULL
,    NULL
,    NULL
,    NULL
,    NULL
,    NULL
,    NULL
,    Project.[Name]
FROM Project
JOIN EmployeeProject EmpPrj ON EmpPrj.ProjectID = Project.ProjectID
WHERE EmpPrj.EmployeeID = @EmployeeID
ORDER BY Tag, [Employee!2!EmployeeID!element]
FOR XML EXPLICIT

END
GO