if exists (select * from dbo.sysobjects
				where id = object_id(N'[dbo].[uspEmployeeManager]')
				and OBJECTPROPERTY(id, N'IsProcedure') = 1)
   drop procedure [dbo].[uspEmployeeManager]
GO

CREATE PROCEDURE uspEmployeeManager(
    @EmployeeID int
)
AS
BEGIN
/************************************************************************
   Name:       uspEmployeeManager
   Purpose:    Retrieves data sets needed to populate the 
	           EmployeeDetail DataSet
   Notes:      None

   Parameters: @EmployeeID    =    ID of the employee to retrieve
************************************************************************/
SELECT 
     Manager.LastName
,    Manager.FirstName
,    Mgr.Title
FROM Employee Manager
JOIN Manager Mgr ON Mgr.EmployeeID = Manager.EmployeeID
JOIN OfficeManager OMgr ON OMgr.ManagerID = Mgr.ManagerID
JOIN Employee InEmp ON InEmp.OfficeManagerID = OMgr.OfficeManagerID
WHERE InEmp.EmployeeID = @EmployeeID

END
GO