if exists (select * from dbo.sysobjects
				where id = object_id(N'[dbo].[uspEmployeeUpdate]')
				and OBJECTPROPERTY(id, N'IsProcedure') = 1)
   drop procedure [dbo].[uspEmployeeUpdate]
GO

CREATE PROCEDURE uspEmployeeUpdate(
    @data varchar(2000)
)
AS
BEGIN
/************************************************************************
   Name:       uspEmployeeUpdate
   Purpose:    Used to update Employee information using OPENXML

   Notes:      None

   Parameters: @data - XML Data with Employee
************************************************************************/
DECLARE @hDoc         int

-- Load our XML document
EXEC sp_xml_preparedocument @hDoc OUTPUT, @data   

-- Now update the Credited Service information
UPDATE dbo.Employee
SET
   LastName		= xmlEmp.LastName
,  FirstName		= xmlEmp.FirstName
,  MiddleInitial	= xmlEmp.MiddleInitial
,  OfficePhone		= xmlEmp.OfficePhone
,  CellPhone		= xmlEmp.CellPhone
,  Beeper		= xmlEmp.Beeper
FROM OPENXML(@hDoc, '//Employee', 2)
WITH (
   EmployeeID		int	     'EmployeeID'
,  LastName		nvarchar(50) 'LastName'
,  FirstName		nvarchar(50) 'FirstName'
,  MiddleInitial	nvarchar(1)  'MiddleInitial'
,  OfficePhone		nvarchar(10) 'OfficePhone'
,  CellPhone		nvarchar(10) 'CellPhone'
,  Beeper		nvarchar(10) 'Beeper'
) xmlEmp
WHERE
   dbo.Employee.EmployeeID  = xmlEmp.EmployeeID 

-- Un-load our XML document
EXEC sp_xml_removedocument @hDoc

END
GO