<%@LANGUAGE=VBScript%>
<%
Option Explicit
  Dim ResMsg
  Dim ReqMsg
  Dim strDBPath
  Dim strReq
  
  ' Initialize a global with the URL for SQL queries
  strDBPath = "http://localhost/Chapter7DB/Data/"

  ' Create message object to hold response
  Set ResMsg = Server.CreateObject("MSSMO.SoapMessage")
  If Err Then
    Response.AppendToLog "Cannot create MSSMO.SoapMessage object. " & Err.Description
    Response.Status = "500 Internal Server Error"
    Response.End
  End If
  
  ' Create message object to hold request
  Set ReqMsg = Server.CreateObject("MSSOAP.SoapReader")
  If Err Then ServerFault "Could not create request message object. " & Err.Description
  
  ' Load request into request object
  ReqMsg.Load Request
  If Err Then ServerFault "Could not load request into request message object. " & Err.Description

  ' Get the Request Method and process it
  Select Case ReqMsg.RPCStruct.baseName
    Case "GetEmployees"
      ExecuteRequest "GetEmployees.xml"
     
    Case "GetDetails"
      strReq = "GetDetails.xml?EmployeeID=" & ReqMsg.RPCParameter("EmployeeID").text
      ExecuteRequest strReq

    Case Else
      ClientFault "Invalid Method Name: " & ReqMsg.RPCStruct.baseName
  End Select

  '
  ' ExecuteRequest - Invokes an XMLHTTP request against an XML template
  '
  Sub ExecuteRequest( ByVal ReqString )
    Dim xmlQuery
    Set xmlQuery = Server.CreateObject("MSXML2.XMLHTTP")
    If Err Then ServerFault "Could not create XMLHTTP object. " & Err.Description
    
    xmlQuery.open "GET", strDBPath & ReqString, false
    xmlQuery.send
    If Err Then ServerFault "Error executing Query. " & Err.Description

    ' return the XML result
    Response.ContentType = "text/xml"
    ResMsg.LoadXML xmlQuery.responseXML.xml
    ResMsg.Save Response
    Response.End

  End Sub

  '
  ' ClientFault - Returns SOAP Fault with a "Client" fault code.
  '
  Sub ClientFault(ByVal FaultString)
    ReturnFault "Client", FaultString
  End Sub
  
  '
  ' ServerFault - Returns a SOAP Fault with a "Server" fault code.
  '
  Sub ServerFault(ByVal FaultString)
    ReturnFault "Server", FaultString
  End Sub
  
  '
  ' ReturnFault - Returns a SOAP Fault with the indicated fault code.
  '
  Sub ReturnFault(ByVal FaultCode, ByVal FaultString)
    On Error Resume Next
    Response.ContentType = "text/xml"
    ResMsg.BodyParts.RemoveAll
    ResMsg.BodyParts.SetBodyFault FaultCode, FaultString, ""
    ResMsg.Save Response
    
    Response.End
    
  End Sub
%>
