<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE Employees [
<!ENTITY nbsp "&#160;">
]>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
                xmlns:msxsl="urn:schemas-microsoft-com:xslt" 
                xmlns:rda="http://www.rdacustomsoftware.com/Script" 
                version="1.0">

<!--This handles the root template in the document-->
<xsl:template match="/">
   <table align="center" cellspacing="1" width="75%" border="1">
      <tr bgcolor="teal">
         <td align="center" colspan="4"><font color="white">Employees</font></td>
      </tr>
      <tr bgcolor="teal">
         <td align="center"><font color="white">Name</font></td>
         <td align="center"><font color="white">OfficePhone</font></td>
         <td align="center"><font color="white">CellPhone</font></td>
         <td align="center"><font color="white">Beeper</font></td>
      </tr>  
      <xsl:apply-templates select="Employees/Employee" />
   </table>
</xsl:template>

<!--Handles each employee Node found in the XML-->
<xsl:template match='Employee'>
   <tr bgcolor="white">
      <td><xsl:value-of select="FirstName"/>&nbsp;<xsl:value-of select="LastName"/></td>
      <td><xsl:value-of select="rda:FormatPhone(string(OfficePhone))"/></td>
      <td><xsl:value-of select="rda:FormatPhone(string(CellPhone))"/></td>
      <td><xsl:value-of select="rda:FormatPhone(string(Beeper))"/></td>
    </tr>
</xsl:template>

<!--Formats a Phone number for display-->
<msxsl:script language="JScript" implements-prefix="rda">
function FormatPhone( strRaw ) {
   if( strRaw.length == 10 ) {
      strPhone = "(" + strRaw.substr( 0, 3 ) + ") ";
      strPhone += strRaw.substr( 3, 3 ) + "-";
      strPhone += strRaw.substr( 6, 4 );
      return strPhone;
   }
   else if( strRaw.length != 0 ) {
      return strRaw;
   }
   else {
      return "&nbsp;";
   }
}
</msxsl:script>
 
</xsl:stylesheet>

  